namespace PkmnLib.Plugin.Gen7.Scripts.Pokemon;

[Script(ScriptCategory.Pokemon, "truant_effect")]
public class TruantEffect(IPokemon owner) : Script, IScriptForceTurnSelection, IScriptOnEndTurn
{
    /// <inheritdoc />
    public void ForceTurnSelection(IBattle battle, byte sideIndex, byte position, ref ITurnChoice? choice)
    {
        choice = new PassChoice(owner);
    }

    /// <inheritdoc />
    public void OnEndTurn(IScriptSource _, IBattle battle)
    {
        RemoveSelf();
    }
}